summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/iplocate
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-04-18 10:33:58 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-04-18 10:33:58 -0400
commit37788be5d97cf9c32be1abae76fddc77f4ea87f6 (patch)
tree33389a3d010938a33b29a2f9934e788d0d1c6bfa /.local/bin/statusbar/iplocate
parent82f016a5c34f3495414e28772039770daccee8a7 (diff)
downloadeibhear-37788be5d97cf9c32be1abae76fddc77f4ea87f6.tar.gz
eibhear-37788be5d97cf9c32be1abae76fddc77f4ea87f6.tar.zst
eibhear-37788be5d97cf9c32be1abae76fddc77f4ea87f6.zip
ifinstalled now checks for packages, iplocate fix,
sleep removed from torwrap
Diffstat (limited to '.local/bin/statusbar/iplocate')
-rwxr-xr-x.local/bin/statusbar/iplocate4
1 files changed, 2 insertions, 2 deletions
diff --git a/.local/bin/statusbar/iplocate b/.local/bin/statusbar/iplocate
index 8dc6290..02adab8 100755
--- a/.local/bin/statusbar/iplocate
+++ b/.local/bin/statusbar/iplocate
@@ -5,6 +5,6 @@
#
# https://www.maketecheasier.com/ip-address-geolocation-lookups-linux/
-ifinstalled "geoiplookup" || exit
+ifinstalled "geoip" || exit
addr="$(curl ifconfig.me 2>/dev/null)" || exit
-grep "flag: " ${XDG_CONFIG_HOME:-$HOME/.config}/emoji | grep "$(geoiplookup $addr | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"
+grep "flag: " "${XDG_DATA_HOME:-$HOME/.local/share}/larbs/emoji" | grep "$(geoiplookup "$addr" | sed 's/.*, //')" | sed "s/flag: //;s/;.*//"